Subject: bug#1833: 23.0.60; Bug in custom-set-variables sorting

From: Juanma Barranquero <[email-masked]>
Date: Fri, 8 Jul 2011 13:25:42 +0200

On Fri, Jan 9, 2009 at 21:55, Lennart Borgman <[email-masked]> wrote:

> I believe there is a bug the sorting routine in
> custom-theme-set-variables. The comparision of two symbols does not
> take the dependency list in account if the symbols compared are not
> mentioned in their dependency list. However that breaks, eh, what do
> you call it ..., transity.
>
> In other words if one of the two symbols compared has a dependency
> list and the other not then the first symbols must be sorted after the
> second.

Does still happen? Do you have a recipe to show the problem, starting
with "emacs -Q"?

    Juanma